Skip to main content
GET
List change requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

personId
string<uuid>
required

The unique identifier for the person

Response

list of a person's change requests

id
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

status
enum<string>
Available options:
Submitted,
ChangesRequested,
Approved,
Applied,
Rejected,
Cancelled
jobInfo
object

Person's job information, start date, job title, and employee number

compInfo
object

Person's compensation information, how much will they get paid, currency and frequency

effectiveDate
string<date>
reason
string
notes
string
decreaseDetails
object

Required when the change lowers the worker's salary plus allowances

contractId
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

reviewHistory
object[]

Every action on the request, oldest first, including the reviewer's feedback when changes are requested or the request is rejected

createdTimestamp
integer

Epoch seconds

updatedTimestamp
integer

Epoch seconds